<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/StorableImpl.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - StorableImpl</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-name">class StorableImpl

</div><div class="links"><div class="file">File: <a href="../File/StorableImpl.hh.html" target="detail">StorableImpl.hh</a></div> <div class="xref"></div> <div class="source"></div></div>  <img alt="StorableImpl-inheritance" src="StorableImpl-inheritance.png" hspace="8" vspace="8" border="0" usemap="#StorableImpl-inheritance_map" />
<map name="StorableImpl-inheritance_map"></map>
 <div class="doc">Storable implementation. This is an implementation of the IDL interface
Storage::Storable</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <span class="name"><a href="StorableImpl.html#StorableImpl_l_r" >StorableImpl</a></span>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Constructor.</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="StorableImpl.html#store_lStorage_mObjectState_ptr_r" >store</a></span>(Storage::ObjectState_ptr)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Store the given object state.</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="StorableImpl.html#load_lStorage_mObjectState_ptr_r" >load</a></span>(Storage::ObjectState_ptr)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Loads the given object state.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Protected Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <span class="name"><a href="StorableImpl.html#_tStorableImpl_l_r" >~StorableImpl</a></span>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Destructor.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Structs Summary:</div>
<div class="item"><div class="synopsis">struct <span class="name"><a href="StorableImpl.html#Private" >Private</a></span></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="StorableImpl.html#Private" >Private</a> <span class="name"><a href="StorableImpl.html#_m" >_m</a></span></div> <div class="xref"></div> <div class="source"></div> <div class="doc">Private data.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="StorableImpl_l_r">StorableImpl</a>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Constructor. You know what a constructor is</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="store_lStorage_mObjectState_ptr_r">store</a>(Storage::ObjectState_ptr)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Store the given object state. The _ptr of the type means that this is a
CORBA object reference&#44; since this may be called via a remote interface</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="load_lStorage_mObjectState_ptr_r">load</a>(Storage::ObjectState_ptr)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Loads the given object state.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Protected Member functions Details:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tStorableImpl_l_r">~StorableImpl</a>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Destructor. Note its virtuality</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Private Structs Details:</div>
<div class="item"><div class="synopsis">struct <a class="name" id="Private">Private</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">Private data structure</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Private Data members Details:</div>
<div class="item"><div class="synopsis"><a href="StorableImpl.html#Private" >Private</a> <a class="name" id="_m">_m</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">Private data. The 'Private' type is only defined in the .cc file.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Fri Apr 17 08:48:19 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
